Search documentation of polar_express

# PolarExpress.Services.CustomerMetersService (polar_express v0.1.5)

Copy Markdown View Source

CustomerMeters

CustomerMeters API operations.

## Summary

### Functions

get_customer_meter(client, id, params \\ %{}, opts \\ [])

Get Customer Meter

list_customer_meters(client, params \\ %{}, opts \\ [])

List Customer Meters

## Functions

# get_customer_meter(client, id, params \\ %{}, opts \\ [])

    @spec get_customer_meter(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.CustomerMeter.t()}
      | {:error, PolarExpress.Error.t()}

Get Customer Meter

Get a customer meter by ID.

Scopes: `customer_meters:read`

See `PolarExpress.Params.CustomerMetersGetCustomerMeterParams` for parameter details.

# list_customer_meters(client, params \\ %{}, opts \\ [])

    @spec list_customer_meters(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Customer Meters

List customer meters.

Scopes: `customer_meters:read`

See `PolarExpress.Params.CustomerMetersListCustomerMetersParams` for parameter details.